// Excel enumerations
// http://msdn.microsoft.com/en-us/library/ff838815%28v=office.15%29.aspx

// xlPattern -  oSheet:Range("x1"):Interior:Pattern:= xl... 
#define xlPatternAutomatic       -4105
#define xlPatternchecker         9
#define xlPatternCrissCross      16
#define xlPatternDown            -4121
#define xlPatternGray16          17
#define xlPatternGray25          -4124
#define xlPatternGray50          -4125
#define xlPatternGray75          -4126
#define xlPatternGray8           18
#define xlPatternGrid            15
#define xlPatternHorizontal      -4128
#define xlPatternLightDown       13
#define xlPatternLightHorizontal 11
#define xlPatternLightUp         14
#define xlPatternLightVertical   12
#define xlPatternNone            -4142
#define xlPatternSemiGray75      10
#define xlPatternSolid           1
#define xlPatternUp              -4162
#define xlPatternVertical        -4166

// xlBorderIndex  -  oSheet:Cells(x,y):[Borders]|[Borders(xl...)]:xl

#define xlDiagonalDown  5
#define xlDiagonalUp    6
#define xlEdgeBottom    9
#define xlEdgeLeft	7
#define xlEdgeRight     10
#define xlEdgeTop       8
#define xlInsideHorizontal 12
#define xlInsideVertical 11

// XLBorderWeight

#define xlHairline  1
#define xlMedium    -4138
#define xlThick     4
#define xlThin      2

// xlLineStyle  - oSheet:Cells(x,y):[Borders][Borders(xl..)]:LineStyle:= xl...

#define xlContinuous  1
#define xlDash       -4115
#define xlDashDot     4
#define xlDashDotDot  5
#define xlDot         -4118
#define xlDouble      -4119
#define xlLineStyleNone -4142
#define xlSlantDashDot 13


// xlColorIndex

#define xlColorIndexAutomatic  -4105
#define xlColorIndexNone -4142


// BorderAround
// You must specify either ColorIndex or Color, but not both.